org.eclipse.oomph.setup.util

## Class SetupAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.oomph.setup.util.SetupAdapterFactory

- All Implemented Interfaces:
    AdapterFactory

      public class SetupAdapterFactory
      extends AdapterFactoryImpl

  The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.
  See Also:
    `SetupPackage`
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static SetupPackage` | `modelPackage` The cached model package.
    `protected SetupSwitch<Adapter>` | `modelSwitch` The switch that delegates to the `createXXX` methods.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetupAdapterFactory()` Creates an instance of the adapter factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Adapter` | `createAdapter(Notifier target)` Creates an adapter for the `target`.
    `Adapter` | `createAttributeRuleAdapter()` Creates a new adapter for an object of class '`Attribute Rule`'.
    `Adapter` | `createCatalogSelectionAdapter()` Creates a new adapter for an object of class '`Catalog Selection`'.
    `Adapter` | `createCompoundTaskAdapter()` Creates a new adapter for an object of class '`Compound Task`'.
    `Adapter` | `createEclipseIniTaskAdapter()` Creates a new adapter for an object of class '`Eclipse Ini Task`'.
    `Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
    `Adapter` | `createIndexAdapter()` Creates a new adapter for an object of class '`Index`'.
    `Adapter` | `createInstallationAdapter()` Creates a new adapter for an object of class '`Installation`'.
    `Adapter` | `createInstallationTaskAdapter()` Creates a new adapter for an object of class '`Installation Task`'.
    `Adapter` | `createInstallationToWorkspacesMapEntryAdapter()` Creates a new adapter for an object of class '`Installation To Workspaces Map Entry`'.
    `Adapter` | `createLinkLocationTaskAdapter()` Creates a new adapter for an object of class '`Link Location Task`'.
    `Adapter` | `createLocationCatalogAdapter()` Creates a new adapter for an object of class '`Location Catalog`'.
    `Adapter` | `createModelElementAdapter()` Creates a new adapter for an object of class '`Model Element`'.
    `Adapter` | `createPreferenceTaskAdapter()` Creates a new adapter for an object of class '`Preference Task`'.
    `Adapter` | `createProductAdapter()` Creates a new adapter for an object of class '`Product`'.
    `Adapter` | `createProductCatalogAdapter()` Creates a new adapter for an object of class '`Product Catalog`'.
    `Adapter` | `createProductToProductVersionMapEntryAdapter()` Creates a new adapter for an object of class '`Product To Product Version Map Entry`'.
    `Adapter` | `createProductVersionAdapter()` Creates a new adapter for an object of class '`Product Version`'.
    `Adapter` | `createProjectAdapter()` Creates a new adapter for an object of class '`Project`'.
    `Adapter` | `createProjectCatalogAdapter()` Creates a new adapter for an object of class '`Project Catalog`'.
    `Adapter` | `createProjectContainerAdapter()` Creates a new adapter for an object of class '`Project Container`'.
    `Adapter` | `createProjectToStreamMapEntryAdapter()` Creates a new adapter for an object of class '`Project To Stream Map Entry`'.
    `Adapter` | `createRedirectionTaskAdapter()` Creates a new adapter for an object of class '`Redirection Task`'.
    `Adapter` | `createResourceCopyTaskAdapter()` Creates a new adapter for an object of class '`Resource Copy Task`'.
    `Adapter` | `createResourceCreationTaskAdapter()` Creates a new adapter for an object of class '`Resource Creation Task`'.
    `Adapter` | `createScopeAdapter()` Creates a new adapter for an object of class '`Scope`'.
    `Adapter` | `createSetupTaskAdapter()` Creates a new adapter for an object of class '`Task`'.
    `Adapter` | `createSetupTaskContainerAdapter()` Creates a new adapter for an object of class '`Task Container`'.
    `Adapter` | `createStreamAdapter()` Creates a new adapter for an object of class '`Stream`'.
    `Adapter` | `createStringSubstitutionTaskAdapter()` Creates a new adapter for an object of class '`String Substitution Task`'.
    `Adapter` | `createTextModificationAdapter()` Creates a new adapter for an object of class '`Text Modification`'.
    `Adapter` | `createTextModifyTaskAdapter()` Creates a new adapter for an object of class '`Text Modify Task`'.
    `Adapter` | `createUserAdapter()` Creates a new adapter for an object of class '`User`'.
    `Adapter` | `createVariableChoiceAdapter()` Creates a new adapter for an object of class '`Variable Choice`'.
    `Adapter` | `createVariableTaskAdapter()` Creates a new adapter for an object of class '`Variable Task`'.
    `Adapter` | `createWorkspaceAdapter()` Creates a new adapter for an object of class '`Workspace`'.
    `Adapter` | `createWorkspaceTaskAdapter()` Creates a new adapter for an object of class '`Workspace Task`'.
    `Adapter` | `createWorkspaceToInstallationsMapEntryAdapter()` Creates a new adapter for an object of class '`Workspace To Installations Map Entry`'.
    `boolean` | `isFactoryForType(Object object)` Returns whether this factory is applicable for the type of the object.

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static SetupPackage modelPackage

      The cached model package.
      Generated

    - #### modelSwitch

          protected SetupSwitch<Adapter> modelSwitch

      The switch that delegates to the `createXXX` methods.
      Generated

  - ### Constructor Detail

    - #### SetupAdapterFactory

          public SetupAdapterFactory()

      Creates an instance of the adapter factory.
      Generated

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType(Object object)

      Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.
      Specified by:
        `isFactoryForType` in interface `AdapterFactory`
      Overrides:
        `isFactoryForType` in class `AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.
      Generated

    - #### createAdapter

          public Adapter createAdapter(Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.
      Generated

    - #### createIndexAdapter

          public Adapter createIndexAdapter()

      Creates a new adapter for an object of class '`Index`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Index`
      Generated

    - #### createCatalogSelectionAdapter

          public Adapter createCatalogSelectionAdapter()

      Creates a new adapter for an object of class '`Catalog Selection`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `CatalogSelection`
      Generated

    - #### createProjectAdapter

          public Adapter createProjectAdapter()

      Creates a new adapter for an object of class '`Project`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Project`
      Generated

    - #### createStreamAdapter

          public Adapter createStreamAdapter()

      Creates a new adapter for an object of class '`Stream`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Stream`
      Generated

    - #### createInstallationAdapter

          public Adapter createInstallationAdapter()

      Creates a new adapter for an object of class '`Installation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Installation`
      Generated

    - #### createProductCatalogAdapter

          public Adapter createProductCatalogAdapter()

      Creates a new adapter for an object of class '`Product Catalog`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ProductCatalog`
      Generated

    - #### createProductAdapter

          public Adapter createProductAdapter()

      Creates a new adapter for an object of class '`Product`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Product`
      Generated

    - #### createProductVersionAdapter

          public Adapter createProductVersionAdapter()

      Creates a new adapter for an object of class '`Product Version`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ProductVersion`
      Generated

    - #### createProjectCatalogAdapter

          public Adapter createProjectCatalogAdapter()

      Creates a new adapter for an object of class '`Project Catalog`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ProjectCatalog`
      Generated

    - #### createInstallationTaskAdapter

          public Adapter createInstallationTaskAdapter()

      Creates a new adapter for an object of class '`Installation Task`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `InstallationTask`
      Generated

    - #### createWorkspaceTaskAdapter

          public Adapter createWorkspaceTaskAdapter()

      Creates a new adapter for an object of class '`Workspace Task`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `WorkspaceTask`
      Generated

    - #### createCompoundTaskAdapter

          public Adapter createCompoundTaskAdapter()

      Creates a new adapter for an object of class '`Compound Task`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `CompoundTask`
      Generated

    - #### createVariableTaskAdapter

          public Adapter createVariableTaskAdapter()

      Creates a new adapter for an object of class '`Variable Task`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VariableTask`
      Generated

    - #### createSetupTaskAdapter

          public Adapter createSetupTaskAdapter()

      Creates a new adapter for an object of class '`Task`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `SetupTask`
      Generated

    - #### createResourceCopyTaskAdapter

          public Adapter createResourceCopyTaskAdapter()

      Creates a new adapter for an object of class '`Resource Copy Task`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ResourceCopyTask`
      Generated

    - #### createTextModifyTaskAdapter

          public Adapter createTextModifyTaskAdapter()

      Creates a new adapter for an object of class '`Text Modify Task`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TextModifyTask`
      Generated

    - #### createTextModificationAdapter

          public Adapter createTextModificationAdapter()

      Creates a new adapter for an object of class '`Text Modification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TextModification`
      Generated

    - #### createProductToProductVersionMapEntryAdapter

          public Adapter createProductToProductVersionMapEntryAdapter()

      Creates a new adapter for an object of class '`Product To Product Version Map Entry`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Map.Entry`
      Generated

    - #### createProjectToStreamMapEntryAdapter

          public Adapter createProjectToStreamMapEntryAdapter()

      Creates a new adapter for an object of class '`Project To Stream Map Entry`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Map.Entry`
      Generated

    - #### createInstallationToWorkspacesMapEntryAdapter

          public Adapter createInstallationToWorkspacesMapEntryAdapter()

      Creates a new adapter for an object of class '`Installation To Workspaces Map Entry`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Map.Entry`
      Generated

    - #### createWorkspaceToInstallationsMapEntryAdapter

          public Adapter createWorkspaceToInstallationsMapEntryAdapter()

      Creates a new adapter for an object of class '`Workspace To Installations Map Entry`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Map.Entry`
      Generated

    - #### createModelElementAdapter

          public Adapter createModelElementAdapter()

      Creates a new adapter for an object of class '`Model Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ModelElement`
      Generated

    - #### createStringSubstitutionTaskAdapter

          public Adapter createStringSubstitutionTaskAdapter()

      Creates a new adapter for an object of class '`String Substitution Task`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `StringSubstitutionTask`
      Generated

    - #### createProjectContainerAdapter

          public Adapter createProjectContainerAdapter()

      Creates a new adapter for an object of class '`Project Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ProjectContainer`
      Generated

    - #### createAttributeRuleAdapter

          public Adapter createAttributeRuleAdapter()

      Creates a new adapter for an object of class '`Attribute Rule`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AttributeRule`
      Generated

    - #### createLocationCatalogAdapter

          public Adapter createLocationCatalogAdapter()

      Creates a new adapter for an object of class '`Location Catalog`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `LocationCatalog`
      Generated

    - #### createRedirectionTaskAdapter

          public Adapter createRedirectionTaskAdapter()

      Creates a new adapter for an object of class '`Redirection Task`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RedirectionTask`
      Generated

    - #### createVariableChoiceAdapter

          public Adapter createVariableChoiceAdapter()

      Creates a new adapter for an object of class '`Variable Choice`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VariableChoice`
      Generated

    - #### createResourceCreationTaskAdapter

          public Adapter createResourceCreationTaskAdapter()

      Creates a new adapter for an object of class '`Resource Creation Task`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ResourceCreationTask`
      Generated

    - #### createEclipseIniTaskAdapter

          public Adapter createEclipseIniTaskAdapter()

      Creates a new adapter for an object of class '`Eclipse Ini Task`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EclipseIniTask`
      Generated

    - #### createUserAdapter

          public Adapter createUserAdapter()

      Creates a new adapter for an object of class '`User`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `User`
      Generated

    - #### createWorkspaceAdapter

          public Adapter createWorkspaceAdapter()

      Creates a new adapter for an object of class '`Workspace`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Workspace`
      Generated

    - #### createLinkLocationTaskAdapter

          public Adapter createLinkLocationTaskAdapter()

      Creates a new adapter for an object of class '`Link Location Task`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `LinkLocationTask`
      Generated

    - #### createPreferenceTaskAdapter

          public Adapter createPreferenceTaskAdapter()

      Creates a new adapter for an object of class '`Preference Task`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PreferenceTask`
      Generated

    - #### createSetupTaskContainerAdapter

          public Adapter createSetupTaskContainerAdapter()

      Creates a new adapter for an object of class '`Task Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `SetupTaskContainer`
      Generated

    - #### createScopeAdapter

          public Adapter createScopeAdapter()

      Creates a new adapter for an object of class '`Scope`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Scope`
      Generated

    - #### createEObjectAdapter

          public Adapter createEObjectAdapter()

      Creates a new adapter for the default case. This default implementation returns null.
      Returns:
        the new adapter.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html